[package]
name = "advotracker"
version = "0.1.0"
authors = ["Ralf Zerres <ralf.zerres@networkx.de>"]
description = "Supports lawyers to capture relevant data encountered during an online legal advice\n"
repository = "https://github.com/rzerres/advotracker"
homepage = "https://github.com/rzerres/advotracker"
documentation = "https://docs.rs/advotracker"
readme = "README.md"
license = "0BSD OR MIT"
edition = "2018"
publish = false

[profile.release]
panic = "abort"
lto = true
codegen-units=1
opt-level="s"
# optimize to max speed
#opt-level = "3"
# optimize to smallest size
#opt-level = "z"

[profile.dev]
opt-level = 0
debug = true
lto = false
codegen-units = 5
panic = 'unwind'
incremental = true
overflow-checks = true

[profile.test]
opt-level = 0
debug = 2
rpath = false
lto = false
debug-assertions = true
codegen-units = 16
panic = 'unwind'
incremental = true
overflow-checks = true

[workspace]
members = [
	"backend",
	"frontend",
	"advotracker_qml",
]
